import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/analytics/modules/air_quality/widgets/aqi_device_info.dart';
import 'package:syncrow_web/pages/analytics/modules/air_quality/widgets/aqi_location_info.dart';
import 'package:syncrow_web/pages/analytics/widgets/analytics_sidebar_header.dart';
import 'package:syncrow_web/utils/style.dart';

class AirQualityEndSideWidget extends StatelessWidget {
  const AirQualityEndSideWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: subSectionContainerDecoration.copyWith(
        borderRadius: BorderRadius.circular(30),
      ),
      padding: const EdgeInsetsDirectional.all(32),
      child: const Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          AnalyticsSidebarHeader(title: 'AQI Sensor'),
          Expanded(flex: 15, child: AqiDeviceInfo()),
          SizedBox(height: 20),
          Expanded(flex: 6, child: AqiLocationInfo()),
        ],
      ),
    );
  }
}
